//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HotelApp
{
    using System;
    using System.Collections.Generic;
    
    public partial class HotelStayTable
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public HotelStayTable()
        {
            this.PaymentTables = new HashSet<PaymentTable>();
        }
    
        public int HotelStayId { get; set; }
        public int SettlementId { get; set; }
        public int CustomerId { get; set; }
        public System.DateTime SettlementDate { get; set; }
        public Nullable<System.DateTime> CheckOutDate { get; set; }
    
        public virtual CustomerTable CustomerTable { get; set; }
        public virtual SettlementTable SettlementTable { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PaymentTable> PaymentTables { get; set; }
    }
}
